# HumanoidDescription

HumanoidDescription : `Instance`

## Overview

An instance used to define the visual elements of a humanoid (character), allowing control over many different properties for character representation, including body shape, color, scale ratios, and animations.

## Properties

### AccessoryBlob

`string`

Currently not supported.

#### Code Samples

### BackAccessory

`string`

Currently not supported.

#### Code Samples

### BodyTypeScale

`number`

Currently not supported.

#### Code Samples

### ClimbAnimation

`string`

Sets the animation to play when the humanoid transitions to the Climb state.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.ClimbAnimation = "ovdrassetid://20479500"

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### DepthScale

`number`

A scale ratio adjusting the front-back thickness of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.DepthScale = 0.5

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### DieAnimation

`string`

Sets the animation to play when the humanoid transitions to the Die state.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.DieAnimation = "ovdrassetid://18419100"

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### Face

`string`

Currently not supported.

#### Code Samples

### FaceAccessory

`string`

Currently not supported.

#### Code Samples

### FallAnimation

`string`

Sets the animation to play when the humanoid transitions to the Fall state.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.FallAnimation = "ovdrassetid://18563700"

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### FrontAccessory

`string`

Currently not supported.

#### Code Samples

### GraphicTShirt

`string`

Currently not supported.

#### Code Samples

### HairAccessory

`string`

Currently not supported.

#### Code Samples

### HatAccessory

`string`

Currently not supported.

#### Code Samples

### Head

`string`

Defines the asset ID to apply to the Head of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.Head = 8213300

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### HeadColor

`Color3`

Defines the color to apply to the Head of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.HeadColor = Color3.fromRGB(255, 0, 0)

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### HeadScale

`number`

Currently not supported.

#### Code Samples

### HeadTextureId

`string`

Defines the texture ID to apply to the Head of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.HeadTextureId = 8211400

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### HeightScale

`number`

A scale ratio adjusting the height of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.HeightScale = 0.5

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### IdleAnimation

`string`

Sets the animation to play when the humanoid transitions to the Idle state.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.IdleAnimation = "ovdrassetid://18558100"

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### IdleVariations

`Array`

A list of variation animations to randomly play in the Idle state.

#### Code Samples

### JumpAnimation

`string`

Sets the animation to play when the humanoid transitions to the Jump state.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.JumpAnimation = "ovdrassetid://18563500"

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### LandedAnimation

`string`

Sets the animation to play when the humanoid transitions to the Landed state.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.LandedAnimation = "ovdrassetid://18565100"

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### LeftArm

`string`

Defines the asset ID to apply to the LeftArm of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.LeftArm = 8213200

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### LeftArmColor

`Color3`

Defines the color to apply to the LeftArm of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.LeftArmColor = Color3.fromRGB(255, 0, 0)

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### LeftArmTextureId

`string`

Defines the texture ID to apply to the LeftArm of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.LeftArmTextureId = 8212400

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### LeftLeg

`string`

Defines the asset ID to apply to the LeftLeg of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.LeftLeg = 8213400

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### LeftLegColor

`Color3`

Defines the color to apply to the LeftLeg of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.LeftLegColor = Color3.fromRGB(255, 0, 0)

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### LeftLegTextureId

`string`

Defines the texture ID to apply to the LeftLeg of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.LeftLegTextureId = 8211500

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### MoodAnimation

`string`

Currently not supported.

#### Code Samples

### NeckAccessory

`string`

Currently not supported.

#### Code Samples

### Pants

`string`

Currently not supported.

#### Code Samples

### ProportionScale

`number`

Currently not supported.

#### Code Samples

### RightArm

`string`

Defines the asset ID to apply to the RightArm of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.RightArm = 8213100

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### RightArmColor

`Color3`

Defines the color to apply to the RightArm of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.RightArmColor = Color3.fromRGB(255, 0, 0)

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### RightArmTextureId

`string`

Defines the texture ID to apply to the RightArm of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.RightArmTextureId = 8212500

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### RightLeg

`string`

Defines the asset ID to apply to the RightLeg of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.RightLeg = 8214100

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### RightLegColor

`Color3`

Defines the color to apply to the RightLeg of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.RightLegColor = Color3.fromRGB(255, 0, 0)

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### RightLegTextureId

`string`

Defines the texture ID to apply to the RightLeg of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.RightLegTextureId = 8212500

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### RunAnimation

`string`

Sets the animation to play when the humanoid transitions to the Run state.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.RunAnimation = "ovdrassetid://18559300"

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### Shirt

`string`

Currently not supported.

#### Code Samples

### ShoulderAccessory

`string`

Currently not supported.

#### Code Samples

### SprintAnimation

`string`

Sets the animation to play when the humanoid transitions to the Sprint state.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.SprintAnimation = "ovdrassetid://18839100"

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### SwimmingBreaststrokeAnimation

`string`

Currently not supported.

#### Code Samples

### SwimmingIdleAnimation

`string`

Currently not supported.

#### Code Samples

### Torso

`string`

Defines the asset ID to apply to the Torso of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.Torso = 8214200

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### TorsoColor

`Color3`

Defines the color to apply to the Torso of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.TorsoColor = Color3.fromRGB(255, 0, 0)

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### TorsoTextureId

`string`

Defines the texture ID to apply to the Torso of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.TorsoTextureId = 8212600

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### WaistAccessory

`string`

Currently not supported.

#### Code Samples

### WalkAnimation

`string`

Sets the animation to play when the humanoid transitions to the Walk state.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.WalkAnimation = "ovdrassetid://18560100"

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

### WidthScale

`number`

A scale ratio adjusting the left-right width of the humanoid.

#### Code Samples

```lua
local Workspace = game:GetService("Workspace")

local HumanoidDescription = Workspace:WaitForChild("HumanoidDescription")
HumanoidDescription.WidthScale = 0.5

Humanoid:ApplyDescription(HumanoidDescription, Enum.AssetTypeVerification.Default)
```

## Methods

### AddEmote

Currently not supported.

#### Parameters

| `string` InName    | The name that identifies the emote to add.               |
| ------------------ | -------------------------------------------------------- |
| `string` InAssetId | The asset ID of the emote animation mapped to this name. |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

### GetAccessories

Currently not supported.

#### Parameters

| `boolean` InIncludeRigidAccessories | If set to true, the result also includes Rigid accessories. Defaults to false. |
| ----------------------------------- | ------------------------------------------------------------------------------ |

#### Return

| `Tuple` | A table containing the accessory information currently applied to the humanoid. |
| ------- | ------------------------------------------------------------------------------- |

#### Code Samples

### GetEmotes

Currently not supported.

#### Parameters

#### Return

| `Value` | A dictionary containing the emotes added or set on this HumanoidDescription as name and asset ID pairs. |
| ------- | ------------------------------------------------------------------------------------------------------- |

#### Code Samples

### GetEquippedEmotes

Currently not supported.

#### Parameters

#### Return

| `Tuple` | An array of tables containing information about the emotes currently equipped on this HumanoidDescription. |
| ------- | ---------------------------------------------------------------------------------------------------------- |

#### Code Samples

### RemoveEmote

Currently not supported.

#### Parameters

| `string` InName | The name of the emote to remove. All emotes added under this name will be removed. |
| --------------- | ---------------------------------------------------------------------------------- |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

### SetAccessories

Currently not supported.

#### Parameters

| `Array` InAccessories               | An array containing the accessory information to apply to the humanoid.                            |
| ----------------------------------- | -------------------------------------------------------------------------------------------------- |
| `boolean` InIncludeRigidAccessories | If set to true, Rigid accessories included in the input array are also applied. Defaults to false. |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

### SetEmotes

Currently not supported.

#### Parameters

| `Value` InEmotes | A dictionary containing the name and asset ID pairs of the emotes to set on this HumanoidDescription. |
| ---------------- | ----------------------------------------------------------------------------------------------------- |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

### SetEquippedEmotes

Currently not supported.

#### Parameters

| `Array` InEquippedEmotes | An array of emote names to equip. They are equipped in the order of the array. |
| ------------------------ | ------------------------------------------------------------------------------ |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

## Events

## See also

{% content-ref url="/pages/WLZLR7gkz4nIRCnX89Ci" %}
[Humanoid Description](/manual/studio-manual/character/humanoid-description.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/humanoiddescription.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
